Subject: Re: Behavior of 'dir' in Perl after Cygwin installed
From: [email-masked] (Denis Haskin)

28 Jan 1999 23:34:33 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: MULTIPART/MIXED; BOUNDARY="Boundary_(ID_B4Tcziraq9chzA5hpbcBMw)"
To: [email-masked]

This is a multi-part message in MIME format.

--Boundary_(ID_B4Tcziraq9chzA5hpbcBMw)
Content-type: text/plain; charset=us-ascii
Content-transfer-encoding: 7bit

Apologies!  I neglected to specify which version of Cygwin: it's B20.

dwh

--Boundary_(ID_B4Tcziraq9chzA5hpbcBMw)
Content-type: MESSAGE/RFC822

Date: Thu, 28 Jan 1999 14:00:54 -0500
From: Denis Haskin <[email-masked]>
Subject: Behavior of 'dir' in Perl after Cygwin installed
To: [email-masked]
Message-id: <[email-masked]>
Organization: The Gale Group
MIME-version: 1.0
X-Mailer: Mozilla 4.5 [en] (WinNT; U)
Content-type: text/plain; charset=us-ascii
Content-transfer-encoding: 7bit
X-Mozilla-Status2: 00000000
X-Accept-Language: en

[I've checked the FAQ and mailing list archives but can find no
explanation for this, so...]

I am on Windows NT 4.0, SP3.  I have Perl 5.005-02 on here (the MSWin32
version, I compiled it here myself with Visual C) and everything has
been hunky-dory (okay, mostly).

I installed Cygwin yesterday, since some of the things I need to do will
be greatly eased by having some of the common Unix utilities.

I am very perplexed as to why the behavior of the dir command, when
executed in a subprocess from Perl, has changed.

Yesterday, before installing Cygwin, when I ran the following perl
script:
    $ret = `dir`;
$ret contained the results of a DIR command as the NT command processor
executes it.

Now when I run that (after Cygwin installed), the same command results
in $ret getting the results of (sort of) Cygwin's ls command.

I am starting Perl from an NT command prompt, not from bash.

Is there a switch or something that controls this?  I tried getting rid
of MAKE_MODE=UNIX (even though that should not have affected this).

Can anyone provide any assistance?

Thanks very much,

dwh

--Boundary_(ID_B4Tcziraq9chzA5hpbcBMw)--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".